﻿Type=Class
Version=2.2
B4J=true
@EndOfDesignText@

'Class module
Sub Class_Globals
	Private fx As JFX
	Private mTableView As TableView

End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize(TV As TableView)
	mTableView = TV

End Sub
Sub RefreshAll
	For i = 0 To mTableView.ColumnsCount - 1
		RefreshColumn(i)
	Next
End Sub
Sub RefreshColumn(ColNo As Int)
	Dim Col As JavaObject = getColumn(ColNo)
	Col.RunMethod("setVisible",Array(False))
	Col.RunMethod("setVisible",Array(True))
End Sub
Sub AsJavaObject As JavaObject
	Return mTableView
End Sub
Sub getColumn(ColNo As Int) As JavaObject
	If ColNo < 0 OR ColNo > mTableView.ColumnsCount Then Return Null
	
	Dim FXCollections As JavaObject
	FXCollections.InitializeStatic("javafx.collections.FXCollections")
	Return FXCollections.RunMethodJO("observableArrayList",Array(AsJavaObject.RunMethod("getColumns",Null))).RunMethod("get",Array(ColNo))
	
End Sub
Sub ClearSelection
	Dim SelectionModel As JavaObject = AsJavaObject.RunMethod("getSelectionModel",Null)
	SelectionModel.RunMethod("clearSelection",Null)
End Sub
